# dask.dataframe.tseries.resample.Resampler.quantile

Resampler.quantile()

  Return value at the given quantile.

  This docstring was copied from pandas.core.resample.Resampler.quantile.

  Some inconsistencies with the Dask version may exist.

  Parameters:
    q float or array-like, default 0.5 (50% quantile) (Not supported in Dask)
  Returns:
    DataFrame or Series

      Quantile of values within each group.

  See also

  `Series.quantile`

    Return a series, where the index is q and the values are the quantiles.

  `DataFrame.quantile`

    Return a DataFrame, where the columns are the columns of self, and the values are the quantiles.

  `DataFrameGroupBy.quantile`

    Return a DataFrame, where the columns are groupby columns, and the values are its quantiles.

  Examples

      >>> ser = pd.Series([1, 3, 2, 4, 3, 8],
      ...                 index=pd.DatetimeIndex(['2023-01-01',
      ...                                         '2023-01-10',
      ...                                         '2023-01-15',
      ...                                         '2023-02-01',
      ...                                         '2023-02-10',
      ...                                         '2023-02-15']))
      >>> ser.resample('MS').quantile()
      2023-01-01    2.0
      2023-02-01    4.0
      Freq: MS, dtype: float64

      >>> ser.resample('MS').quantile(.25)
      2023-01-01    1.5
      2023-02-01    3.5
      Freq: MS, dtype: float64